# Package org.simpleframework.http.session

- Interface Summary
  Interface | Description
  --- | ---
  Observer<T> | The `Observer` interface is used to observe the session activity within the session manager.
  Session<T> | The `Session` object is a simple leased container for state within a web application.
  SessionProvider<T> | The `SessionProvider` object is used to create sessions that are active for a given time period.

- Class Summary
  Class | Description
  --- | ---
  SessionManager<T> | The `SessionManager` object is used to create sessions that are active for a given time period.

- Exception Summary
  Exception | Description
  --- | ---
  SessionException | The `SessionException` is used to indicate that some operation failed when trying to access a session or when trying to perform some operation on an existing session.